Skip to main content
POST
/
v1
/
heartbeats
Creates a heartbeat
curl --request POST \
  --url https://api.rootly.com/v1/heartbeats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "heartbeats",
    "attributes": {
      "name": "<string>",
      "alert_summary": "<string>",
      "interval": 123,
      "notification_target_id": "<string>",
      "description": "<string>",
      "alert_description": "<string>",
      "alert_urgency_id": "<string>",
      "owner_group_ids": [
        "<string>"
      ],
      "enabled": true
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/heartbeats"

payload = { "data": {
"type": "heartbeats",
"attributes": {
"name": "<string>",
"alert_summary": "<string>",
"interval": 123,
"notification_target_id": "<string>",
"description": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"owner_group_ids": ["<string>"],
"enabled": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'heartbeats',
attributes: {
name: '<string>',
alert_summary: '<string>',
interval: 123,
notification_target_id: '<string>',
description: '<string>',
alert_description: '<string>',
alert_urgency_id: '<string>',
owner_group_ids: ['<string>'],
enabled: true
}
}
})
};

fetch('https://api.rootly.com/v1/heartbeats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "heartbeats",
    "attributes": {
      "name": "<string>",
      "alert_summary": "<string>",
      "interval": 123,
      "notification_target_id": "<string>",
      "enabled": true,
      "email_address": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "description": "<string>",
      "alert_description": "<string>",
      "alert_urgency_id": "<string>",
      "owner_group_ids": [
        "<string>"
      ],
      "ping_url": "<string>",
      "secret": "<string>",
      "last_pinged_at": "<string>",
      "expires_at": "<string>"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

heartbeat created

data
object
required
included
object[]